Subject: bug#33529: customize-changed-options: each item is stuck to the part after it

From: Eli Zaretskii <[email-masked]>
Date: Sun, 02 Dec 2018 09:12:53 +0200

> From: Glenn Morris <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 01 Dec 2018 20:07:25 -0500
> 
> Eli Zaretskii wrote:
> 
> >> Display Line Numbers  Display line numbers in the buffer.
> >> Less CssLess CSS mode.
> >> Python FlymakeIntegration between Python and Flymake.
> >> 
> >> ie, no space between (some) versioned defgroups and their descriptions.
> >
> > I see only the first one, and there are 2 spaces between the group
> > name and its description.  I don't see the others, so I wonder why the
> > difference.
> 
> Don't you have a line in cus-load:
> (custom-put-if-not 'less-css 'custom-version '"26.1")

I do have this in Emacs 26.1 and 26.1.90, but not in the current
emacs-26 branch I build locally.  I also don't have less-css mentioned
in cus-load.el at all in the current emacs-26 branch I've built on
GNU/Linux.  Why is that file not 100% reproducible?

When the above is in cus-load, then yes, I do see the spliced strings
for those two groups.